Symbianize Forum

Most of our features and services are available only to members, so we encourage you to login or register a new account. Registration is free, fast and simple. You only need to provide a valid email. Being a member you'll gain access to all member forums and features, post a message to ask question or provide answer, and share or find resources related to mobile phones, tablets, computers, game consoles, and multimedia.

All that and more, so what are you waiting for, click the register button and join us now! Ito ang website na ginawa ng pinoy para sa pinoy!

To All AutoLISP Users...share kayo dito...

Status
Not open for further replies.
Re: To All AutoCAD and LISP Users...share kayo dito...

patingin tingin lang. maraming matutunan :dance:
 
sir tanong ko lang kung may lisp command na modified align command na multi pont ang selection bago mag ecute ng scale


(command "align" ss1 "" pt1 pt3 pt2 pt4 "" "N" "")

align = command start
select objects = ss1
enter after select object = ""
select first source point = pt1
select first source point destination = pt3
select second source point = pt2
select second source point destination = pt4
enter after done selecting points = ""
do you want to scale object = "N" for no
enter to finish command = ""

ito ba sir gagana ito
 
Last edited:
mga boss pa help naman po.gusto ko po talaga matuto ng autocad...ano po ba pinakamagandang gamitin na autocad tsaka meron po bang tutorial na makukuha para po sana mas madali po sanang maintindihan?.salamat po sa makakatulong.:praise::praise::praise:
 
Mga sir! may LISP po b kau dyan na ipapakita ung North and East ordinate? pa-share po. thanks! :D
 
boss,

baka meron kang tutorial about the lisp programming.


Salamat po
 
May alam po ba kayong lisp about batch plotting?..

no need for lisp...e-transmit po mas mabilis



Mga sir! may LISP po b kau dyan na ipapakita ung North and East ordinate? pa-share po. thanks! :D


eto po ginagamit ko...

Code:
;get id
;this routine gets the id of a point and places text (with or without a leader) at that pont
;created by: alan thompson (12.4.07)
;edited by: alan thopmson  (5.4.08)  updated just to work a little better, stopped using leader and uses qleader
;                     will also reset qleader settings to what the were before.
(defun C:PID()
(setvar "cmdecho" 0)
(setq qsettings (ql-get))
(princ "\nNorthing & Easting Text Labeler")
(setq answer (strcase (getstring "\nLeader/No leader <Leader>: ")))
(cond     ((= answer "L")        (setq kopy 1))
        ((= answer "leader")    (setq kopy 1))
        ((= answer "")        (setq kopy 1))
        ((= answer "N")        (setq kopy 2))
        ((= answer "No")    (setq kopy 2))
        (t nil)
) ; End of Cond
(if (= kopy 1)
(progn
(while
  (setq pt (getpoint "\nSelect point to identify: "))
  (setq pt2 (getpoint pt "\nSelect point for text placement: "))
  (setq ptascii-x (car pt))
  (setq ptascii-x (rtos ptascii-x))
  (setq ptascii-y (cadr pt))
  (setq ptascii-y (rtos ptascii-y))
  (setq ptascii-z (caddr pt))
  (setq ptascii-z (rtos ptascii-z))
  (setq textstr1 (strcat  "NORTHING: "  ptascii-y ))
  (setq textstr2 (strcat "EASTING: " ptascii-x ))
  (setq textsize-flag (getvar "TEXTSIZE"))
    (progn
    (ql-set '((3 . "") (40 . 0.0) (60 . 0) (61 . 0) (62 . 2) (63 . 2) (64 . 0) (65 . 0) (66 . 0) (67 . 3) (68 . 0) (69 . 0) (70 . 0) (71 . 0) (72 . 0) (170 . 0)))
    (command "qleader" pt pt2 "" textstr1 textstr2 "")
    (ql-set qsettings)
    );progn
) ; while
) ; End of Progn
) ; End of If
(if (= kopy 2)
(progn
(while
  (setq pt (getpoint "\nSelect point to identify: "))
  (setq ptascii-x (car pt))
  (setq ptascii-x (rtos ptascii-x))
  (setq ptascii-y (cadr pt))
  (setq ptascii-y (rtos ptascii-y))
  (setq ptascii-z (caddr pt))
  (setq ptascii-z (rtos ptascii-z))
  (setq textstr1 (strcat  "NORTHING: "  ptascii-y ))
  (setq textstr2 (strcat "EASTING: " ptascii-x ))
  (setq textsize-flag (getvar "TEXTSIZE"))
  (command "mtext" pt "w" "0" textstr1 textstr2 "")
) ; while
) ; End of Progn
) ; End of If
(princ))


(defun ql-get (/ xr cod itm reply)
  (if (setq xr (dictsearch (namedobjdict) "acaddim"))
    (progn
      (foreach cod
           '(3 40 60 61 62 63 64 65 66 67 68 69 70 71 72 170 340)
    (if (setq itm (assoc cod xr))
      (setq reply (append reply (list itm)))
    )
      )
      reply
    )
    '((3 . "")
      (40 . 0.0)
      (60 . 0)
      (61 . 0)
      (62 . 1)
      (63 . 1)
      (64 . 0)
      (65 . 1)
      (66 . 0)
      (67 . 3)
      (68 . 0)
      (69 . 0)
      (70 . 0)
      (71 . 0)
      (72 . 0)
      (170 . 0)
     )
  )
)

(defun ql-set (arg / cur prm)
  (setq cur (ql-get))
  (while arg
    (setq prm (car arg)
      arg (cdr arg)
      cur (subst prm (assoc (car prm) cur) cur)
    )
    (if    (= 3 (car prm))
      (setvar "dimldrblk" (cdr prm))
    )
  )
  (dictremove (namedobjdict) "acaddim")
  (setq
    cur    (append    '((0 . "xrecord") (100 . "acdbxrecord") (90 . 990106))
        cur
    )
  )
  (dictadd (namedobjdict) "acaddim" (entmakex cur))
  (ql-get)
)


Code:
; Automatic coordinate labeling
 ; Edwin Prakoso
 ; http://cad-notes.com
 ;
 ; Limitation
 ; ----------
 ; Will use current leader style and current units setting
 ; If you don't want to show elevation, then modify lines marked *
(defun c:LB (/ p x y z ptcoord textloc);*** change "LB" to whatever command you like
	(while
		(setq p (getpoint "Pick Point: "))
		(setq textloc (getpoint "Pick Label Location: "))
		(setq x (rtos (car p)))
		(setq y (rtos (cadr p)))
		; (setq z (rtos (caddr p))) ;*you may delete this line
		(setq x (strcat "East " x))
		(setq y (strcat "North " y))
		; (setq z (strcat "Elev. " z)) ;*you may delete this line
		(command "_LEADER" p textloc "" x y  "") ;*you may delete z
	)
 (princ)
 )
 
bossing, ask nman po kng meron kayon ng cad raster? ung convertion from scanned img to dwg..
 
Status
Not open for further replies.
Back
Top Bottom